////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.facebook.datatype;

import org.watto.program.android.sync.facebook.GlobalConstants;
import android.provider.ContactsContract.Data;


/***********************************************************************************************
Data type definition for storing a Relationship for a Contact
***********************************************************************************************/
public interface RelationshipData {

  /** The MIME Type **/
  public static final String CONTENT_ITEM_TYPE = GlobalConstants.MIME_TYPE_PREFIX + "relationship";

  /** The full relationship message (eg Married to Eddie Picken) **/
  public static final String DATA = Data.DATA1;
  
  /** The relationship Type **/
  public static final String TYPE = Data.DATA2;
  
  /** The significant other in the relationship **/
  public static final String PERSON = Data.DATA3;
  
  /** The label for this type of data **/
  public static final String LABEL = Data.DATA14;


}
