////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.facebook.datatype.action;

import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;


/***********************************************************************************************
The action that occurs when the user clicks on the <code>UserIdData</code> for a contact
***********************************************************************************************/
public class UserIdAction extends Activity {

  /***********************************************************************************************
  Creates and runs the <code>Activity</code>
  ***********************************************************************************************/
  public void onCreate(Bundle bundle){
    super.onCreate(bundle);
    // Get the UserId
    String userId = null;
    if (getIntent().getData() != null) {
      Cursor cursor = managedQuery(getIntent().getData(), null, null, null, null);
      if (cursor.moveToNext()) {
        userId = cursor.getString(cursor.getColumnIndex("DATA1"));
        }
      cursor.close();
      }
    else {
      finish();
      } 
    
    if (userId == null || userId.equals("")){
      finish();
    }
    
    // call the URL for this user
    //Intent callBrowser = new Intent(getBaseContext(),WSWebView.class);
    //callBrowser.putExtra("url","http://www.facebook.com/" + userId);
    Intent callBrowser = new Intent(Intent.ACTION_VIEW);
    callBrowser.setData(Uri.parse("http://www.facebook.com/" + userId));
    startActivity(callBrowser);
    
    finish();
  }


}
