////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                            //
//                                       WATTO STUDIOS                                        //
//                             Java Code, Programs, and Software                              //
//                                    http://www.watto.org                                    //
//                                                                                            //
//                           Copyright (C) 2004-2010  WATTO Studios                           //
//                                                                                            //
// This program is free software; you can redistribute it and/or modify it under the terms of //
// the GNU General Public License published by the Free Software Foundation; either version 2 //
// of the License, or (at your option) any later versions. This program is distributed in the //
// hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranties //
// of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License //
// at http://www.gnu.org for more details. For updates and information about this program, go //
// to the WATTO Studios website at http://www.watto.org or email watto@watto.org . Thanks! :) //
//                                                                                            //
////////////////////////////////////////////////////////////////////////////////////////////////

package org.watto.program.android.sync.facebook.sync;

import org.watto.android.Settings;
import android.app.Service;
import android.content.Intent;
import android.os.IBinder;


/***********************************************************************************************
A <code>Service</code> to handle account synchronisation. This is invoked with an intent with
action ACTION_AUTHENTICATOR_INTENT. It instantiates the <code>SyncAdapter</code> and returns its
<code>IBinder</code>.
***********************************************************************************************/
public class SyncService extends Service {

  /** The class used to perform the sync **/
  SyncAdapter syncAdapter = null;


  /***********************************************************************************************
  Gets the binded <code>SyncAdapter</code>
  @return the binded <code>SyncAdapter</code>
  ***********************************************************************************************/
  public IBinder onBind(Intent intent){
    return syncAdapter.getSyncAdapterBinder();
  }


  /***********************************************************************************************
  Creates the <code>Service</code> by creating the <code>SyncAdapter</code>
  ***********************************************************************************************/
  public void onCreate(){
    // TODO REMOVE THIS LINE FOR TESTING USING THE DEBUGGER!!!
    //android.os.Debug.waitForDebugger();
    
    // Load and prepare the Settings every time the SyncService is called
    Settings.setApplication(this.getBaseContext());
    
    if (syncAdapter == null) {
      syncAdapter = new SyncAdapter(getApplicationContext(),true);
    }
  }
}
